class LocalManifest.ListGroupModule.ListModule.Base extends ManifestBase.TypeNameArgs
  
  set_default: () ->
    super()
    
  init: () ->
    super()
  
  model_manifest: () ->
    Manifest.manifest().models[@item_name()]
  
  model: () ->
    Manifest.item_name_to_model(@item_name())
  
  item_name: () ->
    @action_manifest().item_name
  
  action_manifest: () ->
    c = Manifest.manifest().controllers[@controller_name()]
    c.actions[@action_name()]
  
  action_name: () ->
    @name
  
  controller_name: () ->
    @parent.controller_name()
  
  list_group: () ->
    @parent
  

