class Locmare.FormModule.FieldModule.LabelFactory
  @types: () ->
    {
      default: Locmare.FormModule.FieldModule.LabelModule.Default, 
      none: Locmare.FormModule.FieldModule.LabelModule.None
    }
  
  @factory: (field, my_manifest) ->
    type = my_manifest.type
    my_class = @types()[type]
    console.log "undefined class for local view forms > #{field.form_name} > fields > #{field.field_name} > label > #{type}\n" if not my_class
    new my_class({field: field, label_manifest: my_manifest})
  
class Locmare.FormModule.FieldModule.LabelModule
