class Locmare.FormModule.FieldModule.TagModule.Base extends Backbone.View
  tagName: 'input'
  
  initialize: (options) ->
    @field = options.field
    @tag_manifest = options.tag_manifest
    
  form_field_name: () ->
    @field.form_field_name()
  
  val: () ->
    if Pettanr.is_blank(this.$el.val())
      null
    else
      this.$el.val()
  
  value: () ->
    @field.value()
  
  options: () ->
    @tag_manifest.options
  
  form: () ->
    @field.form
  
  manifest: () ->
    @form().manifest
  
  form_name: () ->
    @form().form_name
  
  item: () ->
    @form().item
  
