class Manifest.ModelModule.AssociationModule.HasOne extends ManifestBase.NameValues
  
  set_default: () ->
    super()
    @values['item_name'] ||= @name
    @values['foreign_key'] ||= @parent.item_name() + '_id'
    @values['list_action_name'] ||= 'by_' + @parent.item_name()
    
  init: () ->
    super()
    @item_name = @values['item_name']
    @foreign_key = @values['foreign_key']
    @list_action_name = @values['list_action_name']
  
  is_through: () ->
    if @through 
      true
    else
      false
  
  model: () ->
    Manifest.item_name_to_model @item_name
  
