class Pettanr.Scroll extends Peta.Binder
  url: '/scrolls/'
  
  @singular: () ->
    'Scroll'
  
  @plural: () ->
    'Scrolls'
  
  defaults: {
    id: null,
    visible: 0
  } 
  
  author: () ->
    new Pettanr.Cache.Retriever(Pettanr.Author, @get('author_id'))
  
  overwrite: (options) ->
    operators = Pettanr.cache.operators
    return false if not operators.author
    @set('author_id', operators.author.id)
  
  initialize: (attr = {}, options = {}) ->
    super(attr, options)
    if @id
      @url = @url + @id
  
