class Locmare.FormModule.FieldModule.HelperFactory
  @types: () ->
    {
      size: Locmare.FormModule.FieldModule.HelperModule.Size, 
      tail_angle: Locmare.FormModule.FieldModule.HelperModule.TailAngle, 
      color: Locmare.FormModule.FieldModule.HelperModule.Color, 
      popup: Locmare.FormModule.FieldModule.HelperModule.Popup
    }
  
  @factory: (field, my_manifest) ->
    type = my_manifest.type
    my_class = @types()[type]
    console.log "undefined class for local view forms > #{field.form_name} > fields > #{field.field_name} > helper > #{type}\n" if not my_class
    new my_class({field: field, helper_manifest: my_manifest})
  
class Locmare.FormModule.FieldModule.HelperModule
