ManifestBase.require_modules "local_manifest/form/use/field/helper/", 
  %w|base size tail_angle color popup slider|

module LocalManifest
  module FormModule
    module UseModule
      module FieldModule
        class HelperFactory < ManifestBase::Factory
          include HelperModule
          
          def self.types
            {
              'size' => Size, 'tail_angle' => TailAngle, 'color' => Color, 
              'popup' => Popup, 'slider' => Slider
            }
          end
          
          def self.default_type
            'none'
          end
          
        end
      end
    end
  end
end
